=== debian/changelog ===
qmapshack (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use common configuration.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Jul 2017 18:11:29 +0200

qmapshack (1.8.1-1) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 19:01:16 +0200

qmapshack (1.8.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 May 2017 13:24:24 +0200

qmapshack (1.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years for Oliver Eichler
    - Add Michel Durand & Norbert Truchsess to copyright holders
  * Drop patches, applied upstream.
  * Add libquazip5-dev to build dependencies.
  * Add patch to fix quazip.h search paths.
  * Add patch to fix Russian desktop file translation.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Mar 2017 13:58:02 +0200
