=== debian/changelog ===
qmapshack (1.10.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Dec 2017 22:42:01 +0100

qmapshack (1.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Dec 2017 17:00:39 +0100

qmapshack (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Christian Eichler.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Sep 2017 19:32:06 +0200
