=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                qttools5-dev,
                qttools5-dev-tools,
                qtscript5-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
